os/persistentdata/persistentstorage/sqlite3api/TEST/TCL/tcldistribution/tools/configure
1.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
1.2 +++ b/os/persistentdata/persistentstorage/sqlite3api/TEST/TCL/tcldistribution/tools/configure Fri Jun 15 03:10:57 2012 +0200
1.3 @@ -0,0 +1,819 @@
1.4 +#! /bin/sh
1.5 +
1.6 +# Guess values for system-dependent variables and create Makefiles.
1.7 +# Generated automatically using autoconf version 2.13
1.8 +# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
1.9 +#
1.10 +# This configure script is free software; the Free Software Foundation
1.11 +# gives unlimited permission to copy, distribute and modify it.
1.12 +
1.13 +# Defaults:
1.14 +ac_help=
1.15 +ac_default_prefix=/usr/local
1.16 +# Any additions from configure.in:
1.17 +ac_help="$ac_help
1.18 + --with-tcl=DIR use Tcl $DEF_VER binaries from DIR"
1.19 +
1.20 +# Initialize some variables set by options.
1.21 +# The variables have the same names as the options, with
1.22 +# dashes changed to underlines.
1.23 +build=NONE
1.24 +cache_file=./config.cache
1.25 +exec_prefix=NONE
1.26 +host=NONE
1.27 +no_create=
1.28 +nonopt=NONE
1.29 +no_recursion=
1.30 +prefix=NONE
1.31 +program_prefix=NONE
1.32 +program_suffix=NONE
1.33 +program_transform_name=s,x,x,
1.34 +silent=
1.35 +site=
1.36 +srcdir=
1.37 +target=NONE
1.38 +verbose=
1.39 +x_includes=NONE
1.40 +x_libraries=NONE
1.41 +bindir='${exec_prefix}/bin'
1.42 +sbindir='${exec_prefix}/sbin'
1.43 +libexecdir='${exec_prefix}/libexec'
1.44 +datadir='${prefix}/share'
1.45 +sysconfdir='${prefix}/etc'
1.46 +sharedstatedir='${prefix}/com'
1.47 +localstatedir='${prefix}/var'
1.48 +libdir='${exec_prefix}/lib'
1.49 +includedir='${prefix}/include'
1.50 +oldincludedir='/usr/include'
1.51 +infodir='${prefix}/info'
1.52 +mandir='${prefix}/man'
1.53 +
1.54 +# Initialize some other variables.
1.55 +subdirs=
1.56 +MFLAGS= MAKEFLAGS=
1.57 +SHELL=${CONFIG_SHELL-/bin/sh}
1.58 +# Maximum number of lines to put in a shell here document.
1.59 +ac_max_here_lines=12
1.60 +
1.61 +ac_prev=
1.62 +for ac_option
1.63 +do
1.64 +
1.65 + # If the previous option needs an argument, assign it.
1.66 + if test -n "$ac_prev"; then
1.67 + eval "$ac_prev=\$ac_option"
1.68 + ac_prev=
1.69 + continue
1.70 + fi
1.71 +
1.72 + case "$ac_option" in
1.73 + -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
1.74 + *) ac_optarg= ;;
1.75 + esac
1.76 +
1.77 + # Accept the important Cygnus configure options, so we can diagnose typos.
1.78 +
1.79 + case "$ac_option" in
1.80 +
1.81 + -bindir | --bindir | --bindi | --bind | --bin | --bi)
1.82 + ac_prev=bindir ;;
1.83 + -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
1.84 + bindir="$ac_optarg" ;;
1.85 +
1.86 + -build | --build | --buil | --bui | --bu)
1.87 + ac_prev=build ;;
1.88 + -build=* | --build=* | --buil=* | --bui=* | --bu=*)
1.89 + build="$ac_optarg" ;;
1.90 +
1.91 + -cache-file | --cache-file | --cache-fil | --cache-fi \
1.92 + | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
1.93 + ac_prev=cache_file ;;
1.94 + -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
1.95 + | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
1.96 + cache_file="$ac_optarg" ;;
1.97 +
1.98 + -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
1.99 + ac_prev=datadir ;;
1.100 + -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
1.101 + | --da=*)
1.102 + datadir="$ac_optarg" ;;
1.103 +
1.104 + -disable-* | --disable-*)
1.105 + ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
1.106 + # Reject names that are not valid shell variable names.
1.107 + if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
1.108 + { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
1.109 + fi
1.110 + ac_feature=`echo $ac_feature| sed 's/-/_/g'`
1.111 + eval "enable_${ac_feature}=no" ;;
1.112 +
1.113 + -enable-* | --enable-*)
1.114 + ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
1.115 + # Reject names that are not valid shell variable names.
1.116 + if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
1.117 + { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
1.118 + fi
1.119 + ac_feature=`echo $ac_feature| sed 's/-/_/g'`
1.120 + case "$ac_option" in
1.121 + *=*) ;;
1.122 + *) ac_optarg=yes ;;
1.123 + esac
1.124 + eval "enable_${ac_feature}='$ac_optarg'" ;;
1.125 +
1.126 + -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
1.127 + | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
1.128 + | --exec | --exe | --ex)
1.129 + ac_prev=exec_prefix ;;
1.130 + -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
1.131 + | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
1.132 + | --exec=* | --exe=* | --ex=*)
1.133 + exec_prefix="$ac_optarg" ;;
1.134 +
1.135 + -gas | --gas | --ga | --g)
1.136 + # Obsolete; use --with-gas.
1.137 + with_gas=yes ;;
1.138 +
1.139 + -help | --help | --hel | --he)
1.140 + # Omit some internal or obsolete options to make the list less imposing.
1.141 + # This message is too long to be a string in the A/UX 3.1 sh.
1.142 + cat << EOF
1.143 +Usage: configure [options] [host]
1.144 +Options: [defaults in brackets after descriptions]
1.145 +Configuration:
1.146 + --cache-file=FILE cache test results in FILE
1.147 + --help print this message
1.148 + --no-create do not create output files
1.149 + --quiet, --silent do not print \`checking...' messages
1.150 + --version print the version of autoconf that created configure
1.151 +Directory and file names:
1.152 + --prefix=PREFIX install architecture-independent files in PREFIX
1.153 + [$ac_default_prefix]
1.154 + --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
1.155 + [same as prefix]
1.156 + --bindir=DIR user executables in DIR [EPREFIX/bin]
1.157 + --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
1.158 + --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
1.159 + --datadir=DIR read-only architecture-independent data in DIR
1.160 + [PREFIX/share]
1.161 + --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
1.162 + --sharedstatedir=DIR modifiable architecture-independent data in DIR
1.163 + [PREFIX/com]
1.164 + --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
1.165 + --libdir=DIR object code libraries in DIR [EPREFIX/lib]
1.166 + --includedir=DIR C header files in DIR [PREFIX/include]
1.167 + --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
1.168 + --infodir=DIR info documentation in DIR [PREFIX/info]
1.169 + --mandir=DIR man documentation in DIR [PREFIX/man]
1.170 + --srcdir=DIR find the sources in DIR [configure dir or ..]
1.171 + --program-prefix=PREFIX prepend PREFIX to installed program names
1.172 + --program-suffix=SUFFIX append SUFFIX to installed program names
1.173 + --program-transform-name=PROGRAM
1.174 + run sed PROGRAM on installed program names
1.175 +EOF
1.176 + cat << EOF
1.177 +Host type:
1.178 + --build=BUILD configure for building on BUILD [BUILD=HOST]
1.179 + --host=HOST configure for HOST [guessed]
1.180 + --target=TARGET configure for TARGET [TARGET=HOST]
1.181 +Features and packages:
1.182 + --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1.183 + --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1.184 + --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1.185 + --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1.186 + --x-includes=DIR X include files are in DIR
1.187 + --x-libraries=DIR X library files are in DIR
1.188 +EOF
1.189 + if test -n "$ac_help"; then
1.190 + echo "--enable and --with options recognized:$ac_help"
1.191 + fi
1.192 + exit 0 ;;
1.193 +
1.194 + -host | --host | --hos | --ho)
1.195 + ac_prev=host ;;
1.196 + -host=* | --host=* | --hos=* | --ho=*)
1.197 + host="$ac_optarg" ;;
1.198 +
1.199 + -includedir | --includedir | --includedi | --included | --include \
1.200 + | --includ | --inclu | --incl | --inc)
1.201 + ac_prev=includedir ;;
1.202 + -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
1.203 + | --includ=* | --inclu=* | --incl=* | --inc=*)
1.204 + includedir="$ac_optarg" ;;
1.205 +
1.206 + -infodir | --infodir | --infodi | --infod | --info | --inf)
1.207 + ac_prev=infodir ;;
1.208 + -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
1.209 + infodir="$ac_optarg" ;;
1.210 +
1.211 + -libdir | --libdir | --libdi | --libd)
1.212 + ac_prev=libdir ;;
1.213 + -libdir=* | --libdir=* | --libdi=* | --libd=*)
1.214 + libdir="$ac_optarg" ;;
1.215 +
1.216 + -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
1.217 + | --libexe | --libex | --libe)
1.218 + ac_prev=libexecdir ;;
1.219 + -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
1.220 + | --libexe=* | --libex=* | --libe=*)
1.221 + libexecdir="$ac_optarg" ;;
1.222 +
1.223 + -localstatedir | --localstatedir | --localstatedi | --localstated \
1.224 + | --localstate | --localstat | --localsta | --localst \
1.225 + | --locals | --local | --loca | --loc | --lo)
1.226 + ac_prev=localstatedir ;;
1.227 + -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
1.228 + | --localstate=* | --localstat=* | --localsta=* | --localst=* \
1.229 + | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
1.230 + localstatedir="$ac_optarg" ;;
1.231 +
1.232 + -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
1.233 + ac_prev=mandir ;;
1.234 + -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
1.235 + mandir="$ac_optarg" ;;
1.236 +
1.237 + -nfp | --nfp | --nf)
1.238 + # Obsolete; use --without-fp.
1.239 + with_fp=no ;;
1.240 +
1.241 + -no-create | --no-create | --no-creat | --no-crea | --no-cre \
1.242 + | --no-cr | --no-c)
1.243 + no_create=yes ;;
1.244 +
1.245 + -no-recursion | --no-recursion | --no-recursio | --no-recursi \
1.246 + | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
1.247 + no_recursion=yes ;;
1.248 +
1.249 + -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
1.250 + | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
1.251 + | --oldin | --oldi | --old | --ol | --o)
1.252 + ac_prev=oldincludedir ;;
1.253 + -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
1.254 + | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
1.255 + | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
1.256 + oldincludedir="$ac_optarg" ;;
1.257 +
1.258 + -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
1.259 + ac_prev=prefix ;;
1.260 + -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
1.261 + prefix="$ac_optarg" ;;
1.262 +
1.263 + -program-prefix | --program-prefix | --program-prefi | --program-pref \
1.264 + | --program-pre | --program-pr | --program-p)
1.265 + ac_prev=program_prefix ;;
1.266 + -program-prefix=* | --program-prefix=* | --program-prefi=* \
1.267 + | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
1.268 + program_prefix="$ac_optarg" ;;
1.269 +
1.270 + -program-suffix | --program-suffix | --program-suffi | --program-suff \
1.271 + | --program-suf | --program-su | --program-s)
1.272 + ac_prev=program_suffix ;;
1.273 + -program-suffix=* | --program-suffix=* | --program-suffi=* \
1.274 + | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
1.275 + program_suffix="$ac_optarg" ;;
1.276 +
1.277 + -program-transform-name | --program-transform-name \
1.278 + | --program-transform-nam | --program-transform-na \
1.279 + | --program-transform-n | --program-transform- \
1.280 + | --program-transform | --program-transfor \
1.281 + | --program-transfo | --program-transf \
1.282 + | --program-trans | --program-tran \
1.283 + | --progr-tra | --program-tr | --program-t)
1.284 + ac_prev=program_transform_name ;;
1.285 + -program-transform-name=* | --program-transform-name=* \
1.286 + | --program-transform-nam=* | --program-transform-na=* \
1.287 + | --program-transform-n=* | --program-transform-=* \
1.288 + | --program-transform=* | --program-transfor=* \
1.289 + | --program-transfo=* | --program-transf=* \
1.290 + | --program-trans=* | --program-tran=* \
1.291 + | --progr-tra=* | --program-tr=* | --program-t=*)
1.292 + program_transform_name="$ac_optarg" ;;
1.293 +
1.294 + -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1.295 + | -silent | --silent | --silen | --sile | --sil)
1.296 + silent=yes ;;
1.297 +
1.298 + -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
1.299 + ac_prev=sbindir ;;
1.300 + -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
1.301 + | --sbi=* | --sb=*)
1.302 + sbindir="$ac_optarg" ;;
1.303 +
1.304 + -sharedstatedir | --sharedstatedir | --sharedstatedi \
1.305 + | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
1.306 + | --sharedst | --shareds | --shared | --share | --shar \
1.307 + | --sha | --sh)
1.308 + ac_prev=sharedstatedir ;;
1.309 + -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
1.310 + | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
1.311 + | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
1.312 + | --sha=* | --sh=*)
1.313 + sharedstatedir="$ac_optarg" ;;
1.314 +
1.315 + -site | --site | --sit)
1.316 + ac_prev=site ;;
1.317 + -site=* | --site=* | --sit=*)
1.318 + site="$ac_optarg" ;;
1.319 +
1.320 + -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
1.321 + ac_prev=srcdir ;;
1.322 + -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
1.323 + srcdir="$ac_optarg" ;;
1.324 +
1.325 + -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
1.326 + | --syscon | --sysco | --sysc | --sys | --sy)
1.327 + ac_prev=sysconfdir ;;
1.328 + -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
1.329 + | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
1.330 + sysconfdir="$ac_optarg" ;;
1.331 +
1.332 + -target | --target | --targe | --targ | --tar | --ta | --t)
1.333 + ac_prev=target ;;
1.334 + -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
1.335 + target="$ac_optarg" ;;
1.336 +
1.337 + -v | -verbose | --verbose | --verbos | --verbo | --verb)
1.338 + verbose=yes ;;
1.339 +
1.340 + -version | --version | --versio | --versi | --vers)
1.341 + echo "configure generated by autoconf version 2.13"
1.342 + exit 0 ;;
1.343 +
1.344 + -with-* | --with-*)
1.345 + ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
1.346 + # Reject names that are not valid shell variable names.
1.347 + if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
1.348 + { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
1.349 + fi
1.350 + ac_package=`echo $ac_package| sed 's/-/_/g'`
1.351 + case "$ac_option" in
1.352 + *=*) ;;
1.353 + *) ac_optarg=yes ;;
1.354 + esac
1.355 + eval "with_${ac_package}='$ac_optarg'" ;;
1.356 +
1.357 + -without-* | --without-*)
1.358 + ac_package=`echo $ac_option|sed -e 's/-*without-//'`
1.359 + # Reject names that are not valid shell variable names.
1.360 + if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
1.361 + { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
1.362 + fi
1.363 + ac_package=`echo $ac_package| sed 's/-/_/g'`
1.364 + eval "with_${ac_package}=no" ;;
1.365 +
1.366 + --x)
1.367 + # Obsolete; use --with-x.
1.368 + with_x=yes ;;
1.369 +
1.370 + -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
1.371 + | --x-incl | --x-inc | --x-in | --x-i)
1.372 + ac_prev=x_includes ;;
1.373 + -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
1.374 + | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
1.375 + x_includes="$ac_optarg" ;;
1.376 +
1.377 + -x-libraries | --x-libraries | --x-librarie | --x-librari \
1.378 + | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
1.379 + ac_prev=x_libraries ;;
1.380 + -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
1.381 + | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
1.382 + x_libraries="$ac_optarg" ;;
1.383 +
1.384 + -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
1.385 + ;;
1.386 +
1.387 + *)
1.388 + if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
1.389 + echo "configure: warning: $ac_option: invalid host type" 1>&2
1.390 + fi
1.391 + if test "x$nonopt" != xNONE; then
1.392 + { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
1.393 + fi
1.394 + nonopt="$ac_option"
1.395 + ;;
1.396 +
1.397 + esac
1.398 +done
1.399 +
1.400 +if test -n "$ac_prev"; then
1.401 + { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
1.402 +fi
1.403 +
1.404 +trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1.405 +
1.406 +# File descriptor usage:
1.407 +# 0 standard input
1.408 +# 1 file creation
1.409 +# 2 errors and warnings
1.410 +# 3 some systems may open it to /dev/tty
1.411 +# 4 used on the Kubota Titan
1.412 +# 6 checking for... messages and results
1.413 +# 5 compiler messages saved in config.log
1.414 +if test "$silent" = yes; then
1.415 + exec 6>/dev/null
1.416 +else
1.417 + exec 6>&1
1.418 +fi
1.419 +exec 5>./config.log
1.420 +
1.421 +echo "\
1.422 +This file contains any messages produced by compilers while
1.423 +running configure, to aid debugging if configure makes a mistake.
1.424 +" 1>&5
1.425 +
1.426 +# Strip out --no-create and --no-recursion so they do not pile up.
1.427 +# Also quote any args containing shell metacharacters.
1.428 +ac_configure_args=
1.429 +for ac_arg
1.430 +do
1.431 + case "$ac_arg" in
1.432 + -no-create | --no-create | --no-creat | --no-crea | --no-cre \
1.433 + | --no-cr | --no-c) ;;
1.434 + -no-recursion | --no-recursion | --no-recursio | --no-recursi \
1.435 + | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
1.436 + *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
1.437 + ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1.438 + *) ac_configure_args="$ac_configure_args $ac_arg" ;;
1.439 + esac
1.440 +done
1.441 +
1.442 +# NLS nuisances.
1.443 +# Only set these to C if already set. These must not be set unconditionally
1.444 +# because not all systems understand e.g. LANG=C (notably SCO).
1.445 +# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
1.446 +# Non-C LC_CTYPE values break the ctype check.
1.447 +if test "${LANG+set}" = set; then LANG=C; export LANG; fi
1.448 +if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
1.449 +if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
1.450 +if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
1.451 +
1.452 +# confdefs.h avoids OS command line length limits that DEFS can exceed.
1.453 +rm -rf conftest* confdefs.h
1.454 +# AIX cpp loses on an empty file, so make sure it contains at least a newline.
1.455 +echo > confdefs.h
1.456 +
1.457 +# A filename unique to this package, relative to the directory that
1.458 +# configure is in, which we can look for to find out if srcdir is correct.
1.459 +ac_unique_file=man2tcl.c
1.460 +
1.461 +# Find the source files, if location was not specified.
1.462 +if test -z "$srcdir"; then
1.463 + ac_srcdir_defaulted=yes
1.464 + # Try the directory containing this script, then its parent.
1.465 + ac_prog=$0
1.466 + ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
1.467 + test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
1.468 + srcdir=$ac_confdir
1.469 + if test ! -r $srcdir/$ac_unique_file; then
1.470 + srcdir=..
1.471 + fi
1.472 +else
1.473 + ac_srcdir_defaulted=no
1.474 +fi
1.475 +if test ! -r $srcdir/$ac_unique_file; then
1.476 + if test "$ac_srcdir_defaulted" = yes; then
1.477 + { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
1.478 + else
1.479 + { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
1.480 + fi
1.481 +fi
1.482 +srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
1.483 +
1.484 +# Prefer explicitly selected file to automatically selected ones.
1.485 +if test -z "$CONFIG_SITE"; then
1.486 + if test "x$prefix" != xNONE; then
1.487 + CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
1.488 + else
1.489 + CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
1.490 + fi
1.491 +fi
1.492 +for ac_site_file in $CONFIG_SITE; do
1.493 + if test -r "$ac_site_file"; then
1.494 + echo "loading site script $ac_site_file"
1.495 + . "$ac_site_file"
1.496 + fi
1.497 +done
1.498 +
1.499 +if test -r "$cache_file"; then
1.500 + echo "loading cache $cache_file"
1.501 + . $cache_file
1.502 +else
1.503 + echo "creating cache $cache_file"
1.504 + > $cache_file
1.505 +fi
1.506 +
1.507 +ac_ext=c
1.508 +# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1.509 +ac_cpp='$CPP $CPPFLAGS'
1.510 +ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1.511 +ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1.512 +cross_compiling=$ac_cv_prog_cc_cross
1.513 +
1.514 +ac_exeext=
1.515 +ac_objext=o
1.516 +if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
1.517 + # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
1.518 + if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
1.519 + ac_n= ac_c='
1.520 +' ac_t=' '
1.521 + else
1.522 + ac_n=-n ac_c= ac_t=
1.523 + fi
1.524 +else
1.525 + ac_n= ac_c='\c' ac_t=
1.526 +fi
1.527 +
1.528 +
1.529 +# RCS: @(#) $Id: configure,v 1.2 2001/10/04 20:18:09 hobbs Exp $
1.530 +
1.531 +# Recover information that Tcl computed with its configure script.
1.532 +
1.533 +#--------------------------------------------------------------------
1.534 +# See if there was a command-line option for where Tcl is; if
1.535 +# not, assume that its top-level directory is a sibling of ours.
1.536 +#--------------------------------------------------------------------
1.537 +
1.538 +DEF_VER=8.4
1.539 +
1.540 +# Check whether --with-tcl or --without-tcl was given.
1.541 +if test "${with_tcl+set}" = set; then
1.542 + withval="$with_tcl"
1.543 + TCL_BIN_DIR=$withval
1.544 +else
1.545 + TCL_BIN_DIR=`cd ../../tcl$DEF_VER$TCL_PATCH_LEVEL/unix; pwd`
1.546 +fi
1.547 +
1.548 +if test ! -d $TCL_BIN_DIR; then
1.549 + { echo "configure: error: Tcl directory $TCL_BIN_DIR doesn't exist" 1>&2; exit 1; }
1.550 +fi
1.551 +if test ! -f $TCL_BIN_DIR/tclConfig.sh; then
1.552 + { echo "configure: error: There's no tclConfig.sh in $TCL_BIN_DIR; perhaps you didn't specify the Tcl *build* directory (not the toplevel Tcl directory) or you forgot to configure Tcl?" 1>&2; exit 1; }
1.553 +fi
1.554 +
1.555 +. $TCL_BIN_DIR/tclConfig.sh
1.556 +
1.557 +TCL_WIN_VERSION=$TCL_MAJOR_VERSION$TCL_MINOR_VERSION
1.558 +
1.559 +CC=$TCL_CC
1.560 +
1.561 +
1.562 +
1.563 +
1.564 +
1.565 +
1.566 +trap '' 1 2 15
1.567 +cat > confcache <<\EOF
1.568 +# This file is a shell script that caches the results of configure
1.569 +# tests run on this system so they can be shared between configure
1.570 +# scripts and configure runs. It is not useful on other systems.
1.571 +# If it contains results you don't want to keep, you may remove or edit it.
1.572 +#
1.573 +# By default, configure uses ./config.cache as the cache file,
1.574 +# creating it if it does not exist already. You can give configure
1.575 +# the --cache-file=FILE option to use a different cache file; that is
1.576 +# what configure does when it calls configure scripts in
1.577 +# subdirectories, so they share the cache.
1.578 +# Giving --cache-file=/dev/null disables caching, for debugging configure.
1.579 +# config.status only pays attention to the cache file if you give it the
1.580 +# --recheck option to rerun configure.
1.581 +#
1.582 +EOF
1.583 +# The following way of writing the cache mishandles newlines in values,
1.584 +# but we know of no workaround that is simple, portable, and efficient.
1.585 +# So, don't put newlines in cache variables' values.
1.586 +# Ultrix sh set writes to stderr and can't be redirected directly,
1.587 +# and sets the high bit in the cache file unless we assign to the vars.
1.588 +(set) 2>&1 |
1.589 + case `(ac_space=' '; set | grep ac_space) 2>&1` in
1.590 + *ac_space=\ *)
1.591 + # `set' does not quote correctly, so add quotes (double-quote substitution
1.592 + # turns \\\\ into \\, and sed turns \\ into \).
1.593 + sed -n \
1.594 + -e "s/'/'\\\\''/g" \
1.595 + -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1.596 + ;;
1.597 + *)
1.598 + # `set' quotes correctly as required by POSIX, so do not add quotes.
1.599 + sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1.600 + ;;
1.601 + esac >> confcache
1.602 +if cmp -s $cache_file confcache; then
1.603 + :
1.604 +else
1.605 + if test -w $cache_file; then
1.606 + echo "updating cache $cache_file"
1.607 + cat confcache > $cache_file
1.608 + else
1.609 + echo "not updating unwritable cache $cache_file"
1.610 + fi
1.611 +fi
1.612 +rm -f confcache
1.613 +
1.614 +trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1.615 +
1.616 +test "x$prefix" = xNONE && prefix=$ac_default_prefix
1.617 +# Let make expand exec_prefix.
1.618 +test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1.619 +
1.620 +# Any assignment to VPATH causes Sun make to only execute
1.621 +# the first set of double-colon rules, so remove it if not needed.
1.622 +# If there is a colon in the path, we need to keep it.
1.623 +if test "x$srcdir" = x.; then
1.624 + ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1.625 +fi
1.626 +
1.627 +trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1.628 +
1.629 +# Transform confdefs.h into DEFS.
1.630 +# Protect against shell expansion while executing Makefile rules.
1.631 +# Protect against Makefile macro expansion.
1.632 +cat > conftest.defs <<\EOF
1.633 +s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1.634 +s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1.635 +s%\[%\\&%g
1.636 +s%\]%\\&%g
1.637 +s%\$%$$%g
1.638 +EOF
1.639 +DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1.640 +rm -f conftest.defs
1.641 +
1.642 +
1.643 +# Without the "./", some shells look in PATH for config.status.
1.644 +: ${CONFIG_STATUS=./config.status}
1.645 +
1.646 +echo creating $CONFIG_STATUS
1.647 +rm -f $CONFIG_STATUS
1.648 +cat > $CONFIG_STATUS <<EOF
1.649 +#! /bin/sh
1.650 +# Generated automatically by configure.
1.651 +# Run this file to recreate the current configuration.
1.652 +# This directory was configured as follows,
1.653 +# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1.654 +#
1.655 +# $0 $ac_configure_args
1.656 +#
1.657 +# Compiler output produced by configure, useful for debugging
1.658 +# configure, is in ./config.log if it exists.
1.659 +
1.660 +ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1.661 +for ac_option
1.662 +do
1.663 + case "\$ac_option" in
1.664 + -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1.665 + echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1.666 + exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1.667 + -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1.668 + echo "$CONFIG_STATUS generated by autoconf version 2.13"
1.669 + exit 0 ;;
1.670 + -help | --help | --hel | --he | --h)
1.671 + echo "\$ac_cs_usage"; exit 0 ;;
1.672 + *) echo "\$ac_cs_usage"; exit 1 ;;
1.673 + esac
1.674 +done
1.675 +
1.676 +ac_given_srcdir=$srcdir
1.677 +
1.678 +trap 'rm -fr `echo "Makefile tcl.hpj" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1.679 +EOF
1.680 +cat >> $CONFIG_STATUS <<EOF
1.681 +
1.682 +# Protect against being on the right side of a sed subst in config.status.
1.683 +sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1.684 + s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1.685 +$ac_vpsub
1.686 +$extrasub
1.687 +s%@SHELL@%$SHELL%g
1.688 +s%@CFLAGS@%$CFLAGS%g
1.689 +s%@CPPFLAGS@%$CPPFLAGS%g
1.690 +s%@CXXFLAGS@%$CXXFLAGS%g
1.691 +s%@FFLAGS@%$FFLAGS%g
1.692 +s%@DEFS@%$DEFS%g
1.693 +s%@LDFLAGS@%$LDFLAGS%g
1.694 +s%@LIBS@%$LIBS%g
1.695 +s%@exec_prefix@%$exec_prefix%g
1.696 +s%@prefix@%$prefix%g
1.697 +s%@program_transform_name@%$program_transform_name%g
1.698 +s%@bindir@%$bindir%g
1.699 +s%@sbindir@%$sbindir%g
1.700 +s%@libexecdir@%$libexecdir%g
1.701 +s%@datadir@%$datadir%g
1.702 +s%@sysconfdir@%$sysconfdir%g
1.703 +s%@sharedstatedir@%$sharedstatedir%g
1.704 +s%@localstatedir@%$localstatedir%g
1.705 +s%@libdir@%$libdir%g
1.706 +s%@includedir@%$includedir%g
1.707 +s%@oldincludedir@%$oldincludedir%g
1.708 +s%@infodir@%$infodir%g
1.709 +s%@mandir@%$mandir%g
1.710 +s%@TCL_WIN_VERSION@%$TCL_WIN_VERSION%g
1.711 +s%@CC@%$CC%g
1.712 +s%@TCL_VERSION@%$TCL_VERSION%g
1.713 +s%@TCL_PATCH_LEVEL@%$TCL_PATCH_LEVEL%g
1.714 +s%@TCL_SRC_DIR@%$TCL_SRC_DIR%g
1.715 +s%@TCL_BIN_DIR@%$TCL_BIN_DIR%g
1.716 +
1.717 +CEOF
1.718 +EOF
1.719 +
1.720 +cat >> $CONFIG_STATUS <<\EOF
1.721 +
1.722 +# Split the substitutions into bite-sized pieces for seds with
1.723 +# small command number limits, like on Digital OSF/1 and HP-UX.
1.724 +ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1.725 +ac_file=1 # Number of current file.
1.726 +ac_beg=1 # First line for current file.
1.727 +ac_end=$ac_max_sed_cmds # Line after last line for current file.
1.728 +ac_more_lines=:
1.729 +ac_sed_cmds=""
1.730 +while $ac_more_lines; do
1.731 + if test $ac_beg -gt 1; then
1.732 + sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1.733 + else
1.734 + sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1.735 + fi
1.736 + if test ! -s conftest.s$ac_file; then
1.737 + ac_more_lines=false
1.738 + rm -f conftest.s$ac_file
1.739 + else
1.740 + if test -z "$ac_sed_cmds"; then
1.741 + ac_sed_cmds="sed -f conftest.s$ac_file"
1.742 + else
1.743 + ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1.744 + fi
1.745 + ac_file=`expr $ac_file + 1`
1.746 + ac_beg=$ac_end
1.747 + ac_end=`expr $ac_end + $ac_max_sed_cmds`
1.748 + fi
1.749 +done
1.750 +if test -z "$ac_sed_cmds"; then
1.751 + ac_sed_cmds=cat
1.752 +fi
1.753 +EOF
1.754 +
1.755 +cat >> $CONFIG_STATUS <<EOF
1.756 +
1.757 +CONFIG_FILES=\${CONFIG_FILES-"Makefile tcl.hpj"}
1.758 +EOF
1.759 +cat >> $CONFIG_STATUS <<\EOF
1.760 +for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1.761 + # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1.762 + case "$ac_file" in
1.763 + *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1.764 + ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1.765 + *) ac_file_in="${ac_file}.in" ;;
1.766 + esac
1.767 +
1.768 + # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1.769 +
1.770 + # Remove last slash and all that follows it. Not all systems have dirname.
1.771 + ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1.772 + if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1.773 + # The file is in a subdirectory.
1.774 + test ! -d "$ac_dir" && mkdir "$ac_dir"
1.775 + ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1.776 + # A "../" for each directory in $ac_dir_suffix.
1.777 + ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1.778 + else
1.779 + ac_dir_suffix= ac_dots=
1.780 + fi
1.781 +
1.782 + case "$ac_given_srcdir" in
1.783 + .) srcdir=.
1.784 + if test -z "$ac_dots"; then top_srcdir=.
1.785 + else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1.786 + /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1.787 + *) # Relative path.
1.788 + srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1.789 + top_srcdir="$ac_dots$ac_given_srcdir" ;;
1.790 + esac
1.791 +
1.792 +
1.793 + echo creating "$ac_file"
1.794 + rm -f "$ac_file"
1.795 + configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1.796 + case "$ac_file" in
1.797 + *Makefile*) ac_comsub="1i\\
1.798 +# $configure_input" ;;
1.799 + *) ac_comsub= ;;
1.800 + esac
1.801 +
1.802 + ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1.803 + sed -e "$ac_comsub
1.804 +s%@configure_input@%$configure_input%g
1.805 +s%@srcdir@%$srcdir%g
1.806 +s%@top_srcdir@%$top_srcdir%g
1.807 +" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1.808 +fi; done
1.809 +rm -f conftest.s*
1.810 +
1.811 +EOF
1.812 +cat >> $CONFIG_STATUS <<EOF
1.813 +
1.814 +EOF
1.815 +cat >> $CONFIG_STATUS <<\EOF
1.816 +
1.817 +exit 0
1.818 +EOF
1.819 +chmod +x $CONFIG_STATUS
1.820 +rm -fr confdefs* $ac_clean_files
1.821 +test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1.822 +